local ADDON, Package = ...

local Color = Package.Color
local System = {}

System.L = Package[GetLocale()] or Package["enUS"]

function System.prime()
  local addon = Color.JORDY_BLUE:WrapTextInColorCode(ADDON)
  local version = Color.JORDY_BLUE:WrapTextInColorCode("v" .. GetAddOnMetadata(ADDON, "Version"))
  local slashes = {}

  for at = 1, 8 do
    table.insert(slashes, _G["SLASH_" .. ADDON .. at])
  end

  slashes = Color.SPRAY:WrapTextInColorCode(table.concat(slashes, " "))

  DEFAULT_CHAT_FRAME:AddMessage(addon .. " " .. version .. " " .. slashes )
end

Package.enUS = nil
Package.koKR = nil
Package.ruRU = nil

Package.System = System
