local ADDON, Package = ...

local function configure_aura_duration()
  local function on_hook(aura_button, time_left)
    if time_left >= 3600 and time_left <= 7200 then
      aura_button.duration:SetText(MINUTE_ONELETTER_ABBR:format(ceil(time_left / 60)))
    end
  end

  hooksecurefunc("AuraButton_UpdateDuration", on_hook)
end

Package.Buff = {
  configure_aura_duration = configure_aura_duration
}
