local ADDON, Package = ...

local function configure_unit_combat()
  PlayerFrame:UnregisterEvent("UNIT_COMBAT")
  PetFrame:UnregisterEvent("UNIT_COMBAT")
end

local function configure_ui_error_message()
  local function on_event(self, event)
    if event == "PLAYER_REGEN_ENABLED" then
      UIErrorsFrame:RegisterEvent("UI_ERROR_MESSAGE")
    end

    if event == "PLAYER_REGEN_DISABLED" then
      UIErrorsFrame:UnregisterEvent("UI_ERROR_MESSAGE")
    end
  end

  local agent = CreateFrame("Frame")
  agent:RegisterEvent("PLAYER_REGEN_ENABLED")
  agent:RegisterEvent("PLAYER_REGEN_DISABLED")
  agent:SetScript("OnEvent", on_event)
end

Package.Combat = {
  configure_unit_combat = configure_unit_combat,
  configure_ui_error_message = configure_ui_error_message
}
