local ADDON, Package = ...

local function configure_recipient_name_with_class_and_level()
  local function on_hook()
    local class = UnitClassBase("npc")
    local level = UnitLevel("npc")

    if class and level > 0 then
      TradeFrameRecipientNameText:SetFontObject("GameFontNormalSmall")
      TradeFrameRecipientNameText:SetFormattedText(
        "%s%s|r %s%s|r",
        ConvertRGBtoColorString(GetQuestDifficultyColor(level)),
        level,
        ConvertRGBtoColorString(RAID_CLASS_COLORS[class]),
        TradeFrameRecipientNameText:GetText()
      )
    end
  end

  hooksecurefunc("TradeFrame_Update", on_hook)
end

Package.Trade = {
  configure_recipient_name_with_class_and_level = configure_recipient_name_with_class_and_level
}
